Bug 219667 - sosreport does not terminate cleanly on ^C
sosreport does not terminate cleanly on ^C
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Conklin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-14 13:13 EST by Steve Conklin
Modified: 2013-04-12 14:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0496
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 08:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Conklin 2006-12-14 13:13:18 EST
Using ^C while sosreport is running generates various errors and does not always
terminate the application.
Comment 1 John Berninger 2007-02-01 22:12:03 EST
Interrupt handling added to SVN - please check current status, and add any
FIXME's necessary.  Not yet complete.
Comment 2 John Berninger 2007-02-17 09:55:44 EST
Fix committed, still neads some cleanup prior to release but my testing
indicates it's functional.
Comment 8 Red Hat Bugzilla 2007-06-27 08:38:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0496.html

Note You need to log in before you can comment on or make changes to this bug.